<div class="animated fadeIn">
  <!-- end row -->
  <div class="row">
    <div class="col-lg-12">
      <div class="card">
        <div class="card-header">
          {{ "monitor.file.file_scanned" | translate }}
        </div>
        <div class="card-body" style="padding-bottom: 300px">
          <div class="row mb-2">
            <div class="col-10 d-flex justify-content-start align-items-center">
              <span class="mr-1" style="line-height: 33px">{{
                "common.show" | translate
              }}</span>
              <select
                (change)="changeLimit()"
                [(ngModel)]="paging.limit"
                class="form-control"
                style="width: auto"
              >
                <option
                  *ngFor="let limitElement of limits"
                  value="{{ limitElement.value }}"
                >
                  {{ limitElement.label }}
                </option>
              </select>
            </div>
            <div class="col-2 mb-2 d-flex justify-content-end">
              <div class="input-group float-right">
                <input
                  [(ngModel)]="keywordSearch"
                  type="text"
                  class="form-control"
                  placeholder="{{ 'common.search' | translate }}"
                />
                <div class="input-group-append">
                  <button
                    class="btn btn-dark"
                    type="button"
                    (click)="onSearch()"
                  >
                    <i class="fa fa-search"></i>
                  </button>
                </div>
              </div>
            </div>
          </div>

          <!--end row-->
          <table
            class="table table-bordered table-sort-icon"
            *ngIf="monitorWafs"
          >
            <thead>
              <tr
                appSort
                [orderBy]="order.orderBy"
                [orderType]="order.orderType"
                (orderChange)="changeOder($event)"
              >
                <th appSortBy="filename" style="width: 10%">
                  {{ "monitor.file.fileName" | translate }}
                  <fa-icon></fa-icon>
                </th>
                <th appSortBy="source_ip">
                  {{ "monitor.file.SourceIP" | translate }}
                  <fa-icon></fa-icon>
                </th>
                <th appSortBy="group_website">
                  {{ "monitor.file.GroupWebsite" | translate }}
                  <fa-icon></fa-icon>
                </th>
                <th appSortBy="website">
                  {{ "monitor.file.Website" | translate }}
                  <fa-icon></fa-icon>
                </th>
                <th appSortBy="url">
                  {{ "monitor.file.URL" | translate }}
                  <fa-icon></fa-icon>
                </th>
                <th appSortBy="datetime">
                  {{ "monitor.file.Datetime" | translate }}
                  <fa-icon></fa-icon>
                </th>
                <th appSortBy="detect_status">
                  {{ "monitor.file.Detectstatus" | translate }}
                  <fa-icon></fa-icon>
                </th>
                <th class="text-center">{{ "common.action" | translate }}</th>
              </tr>
            </thead>
            <tbody *ngIf="monitorWafs && monitorWafs.length">
              <tr *ngFor="let monitorWaf of monitorWafs; index as i">
                <td>{{ monitorWaf.filename }}</td>
                <td class="text-center">{{ monitorWaf.source_ip }}</td>
                <td class="text-center">{{ monitorWaf.group_website }}</td>
                <td class="text-center">{{ monitorWaf.website }}</td>
                <td class="text-center">{{ monitorWaf.url }}</td>
                <td class="text-center">{{ monitorWaf.datetime }}</td>
                <td class="text-center">{{ monitorWaf.detect_status }}</td>
                <td class="text-center">
                  <button
                    type="button"
                    class="btn btn-secondary color-blue"
                    (click)="onDownload(monitorWaf.filename)"
                  >
                    <i class="fa fa-download" aria-hidden="true"></i>
                    {{ "common.download" | translate }}
                  </button>
                </td>
              </tr>
            </tbody>
          </table>

          <div class="row">
            <div class="col-12">
              <span
                *ngIf="monitorWafs.length !== 0"
                style="line-height: 33px"
                class="float-left"
              >
                {{
                  "common.pagingInfo"
                    | translate
                      : {
                          start: paging.offset + 1,
                          end: paging.offset + monitorWafs.length,
                          total: paging.total
                        }
                }}
              </span>
              <div
                *ngIf="!monitorWafs || monitorWafs.length === 0"
                class="text-center"
              >
                <span>{{ "common.no_record" | translate }}</span>
              </div>
              <ngb-pagination
                *ngIf="monitorWafs.length !== 0"
                class="float-right"
                [boundaryLinks]="true"
                [collectionSize]="paging.total"
                [pageSize]="paging.limit"
                [maxSize]="5"
                [rotate]="true"
                [(page)]="paging.page"
                (pageChange)="loadPage(paging.page)"
              >
              </ngb-pagination>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
